Returns an array of trait aliases

- « ReflectionClass::getStaticPropertyValue

- ReflectionClass::getTraitNames »

- PHP Manual
- ReflectionClass
- Returns an array of trait aliases

# ReflectionClass::getTraitAliases

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

ReflectionClass::getTraitAliases — Returns an array of trait aliases

### Description

public ReflectionClass::getTraitAliases(): array

Get the array of trait method aliases defined in the current class.

### Parameters

This function has no parameters.

### Return Values

Returns an array with new method names in keys and original names (in the format `"TraitName::original"`) in values.